getGauges
READGet gauges.
POST /api/v1/quality/getGauges
curl -X POST '<your-host>/api/v1/quality/getGauges' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"args": {}
}'Response
{
"results": [
{
"calibrationIntervalInMonths": 0,
"companyId": "string",
"createdAt": "string",
"createdBy": "string",
"customFields": "…",
"dateAcquired": "string",
"description": "string",
"gaugeCalibrationStatus": "Pending",
"gaugeCalibrationStatusWithDueDate": "Pending",
"gaugeId": "string",
"gaugeRole": "Master",
"gaugeStatus": "Active",
"gaugeTypeId": "string",
"id": "string",
"lastCalibrationDate": "string",
"lastCalibrationStatus": "Pending",
"locationId": "string",
"modelNumber": "string",
"nextCalibrationDate": "string",
"serialNumber": "string",
"storageUnitId": "string",
"supplierId": "string",
"updatedAt": "string",
"updatedBy": "string"
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"args": {
"type": "object",
"properties": {
"limit": {
"type": "integer",
"default": 100
},
"offset": {
"type": "integer",
"default": 0
},
"search": {
"type": [
"string",
"null"
]
}
}
}
}
}